package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 网格行政区划关联对象 grid_admin_division_relate
 * 
 * @author ruoyi
 * @date 2024-09-19
 */
public class GridRegionAdminDivisionRelate extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 网格id */
    @Excel(name = "网格id")
    private Long gridId;

    /** 行政区划名称 */
    @Excel(name = "行政区划名称")
    private String label;

    /** 行政编码 */
    @Excel(name = "行政编码")
    private String code;

    /** 父级行政编码 */
    @Excel(name = "父级行政编码")
    private Long parentCode;

    /** 行政区划等级 */
    @Excel(name = "行政区划等级")
    private Long level;

    /** 删除标识 */
    @Excel(name = "删除标识")
    private String deleteFlag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setGridId(Long gridId) 
    {
        this.gridId = gridId;
    }

    public Long getGridId() 
    {
        return gridId;
    }
    public void setLabel(String label) 
    {
        this.label = label;
    }

    public String getLabel() 
    {
        return label;
    }
    public void setCode(String code) 
    {
        this.code = code;
    }

    public String getCode() 
    {
        return code;
    }
    public void setParentCode(Long parentCode)
    {
        this.parentCode = parentCode;
    }

    public Long getParentCode()
    {
        return parentCode;
    }
    public void setLevel(Long level) 
    {
        this.level = level;
    }

    public Long getLevel() 
    {
        return level;
    }
    public void setDeleteFlag(String deleteFlag) 
    {
        this.deleteFlag = deleteFlag;
    }

    public String getDeleteFlag() 
    {
        return deleteFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("gridId", getGridId())
            .append("label", getLabel())
            .append("code", getCode())
            .append("parentCode", getParentCode())
            .append("level", getLevel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("deleteFlag", getDeleteFlag())
            .toString();
    }
}
